@import "../../style/miam.scss";

.range-input {
  -webkit-appearance: none;
  margin: 0;
  width: 100%;
}

.range-input:focus {
  outline: none;
}

.range-input:focus .range-input::-webkit-slider-runnable-track,
.range-input::-webkit-slider-runnable-track {
  width: 100%;
  height: 4px;
  cursor: pointer;
  background: var(--m-color-grey);
  
}

.range-input::-webkit-slider-thumb {
 
  height: 16px;
  width: 16px;
  border-radius: var( --m-border-radius-circle);
  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.2);
  background:  var( --m-color-white);
  cursor: pointer;
   transition: var( --m-default-transition);
  -webkit-appearance: none;
  margin-top: -0.55em;
  margin-left: -0.1em;
}

.range-input:focus::-webkit-slider-runnable-track {
  background:var( --m-color-grey-text);
}

.range-list {
  display: flex;
  justify-content: space-between;
  height: auto;
  overflow: hidden;
  margin-top: 1em;
}

.range-list option:before {
  content: attr(value);
  font-size: 12px;
  color: rgba(0, 0, 0, 0.32);
  display: block;
}

.icon-row{
  display: inline-flex;
  flex-direction: row;
  justify-content: space-between;
  margin-top: 15px;
  width: 100%;
}